#
# spec file for package owncloud-client
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           owncloud-client
Version:	1.2.5
Release:        1.1
License:        GPL-2.0+
Summary:        The ownCloud Client - Private file sync and share client based on Mirall
Url:            http://www.github.com/owncloud/mirall/
Group:          Productivity/Networking/Other
Source0:        mirall-%{version}.tar.bz2
Source1:        owncloud-client.desktop
Source2:	owncloud-client-rpmlintrc
%if 0%{?sles_version} == 11
Patch0:		owncloud-client-osx-1.2.5.patch
Patch1:		owncloud-client-sle11.patch
%endif
BuildRequires:  cmake
BuildRequires:  libocsync-devel >= 0.70.7
BuildRequires:  oxygen-icon-theme
BuildRequires:  gcc gcc-c++
%if 0%{?sles_version} != 11 
BuildRequires:  libqtkeychain-devel
%endif

%if 0%{?fedora_version}
BuildRequires:  iniparser
%endif

%if 0%{?mandriva_version}
BuildRequires:  X11-devel qt4-devel >= 4.6
%else
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  qt4 qt4-devel >= 4.6
BuildRequires:  inetd desktop-file-utils
%else
BuildRequires:  libqt4-devel >= 4.6
%endif
%endif
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif

%if 0%{?suse_version}
Requires:       iproute2
%else
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
Requires:       iproute
%endif
Requires:       iproute
%endif
Requires:       libocsync-plugin-owncloud >= 0.70.7
Requires:       net-tools
Requires:       oxygen-icon-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The ownCloud client is based on Mirall - gitorious.org/owncloud/mirall

ownCloud client enables you to connect to your private
ownCloud Server. With it you can create folders in your home
directory, and keep the contents of those folders synced with your
ownCloud server. Simply copy a file into the directory and the 
ownCloud Client does the rest.

ownCloud gives your employees anytime, anywhere access to the files
they need to get the job done, whether through this desktop application, 
our mobile apps, the web interface, or other WebDAV clients. With it, 
your employees can easily view and share documents and information 
critical to the business, in a secure, flexible and controlled 
architecture. You can easily extend ownCloud with plug-ins from the 
community, or that you build yourself to meet the requirements of 
your infrastructure and business.

ownCloud - Your Cloud, Your Data, Your Way!  www.owncloud.com

Authors
=======
Duncan Mac-Vicar P. <duncan@kde.org>
Klaas Freitag <freitag@owncloud.com>
Daniel Molkentin <danimo@owncloud.com>

%prep
%setup -q -n mirall-%{version}
%if 0%{?sles_version}
%patch0
%patch1
%endif

%build
mkdir build
pushd build
export CSYNC_DIR=/usr/include/ocsync
cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_SYSCONFDIR=/etc/ownCloud
make owncloud
popd

%install
pushd build
mkdir -p src
cp %{S:1} src/owncloud.desktop
%__make DESTDIR=%{buildroot} install
rm ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/mirall.png
popd

%if 0%{?suse_version}
%suse_update_desktop_file -i %{name} Utility SyncUtility
%else
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1}
%endif
%endif
rm -f %{buildroot}%{_datadir}/applications/owncloud.desktop

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README.md COPYING
%{_bindir}/mirall
%{_bindir}/owncloud
%{_libdir}/libowncloudsync.so*
%{_datadir}/applications/owncloud-client.desktop
%{_datadir}/icons/hicolor/48x48/apps/owncloud.png
%{_datadir}/mirall
%config %{_bindir}/../../etc/ownCloud

%changelog
* Sat May  4 2013 cs@linux-administrator.com
- update to release 1.2.5
* Tue Feb 26 2013 cs@linux-administrator.com
- spec changes for SLE_11 build
- added patches for SLE_11 build
- added rpmlintrc
